Loading...
Searching...
No Matches
svn_auth_cred_ssl_client_cert_t Struct Reference
Authentication functions

`SVN_AUTH_CRED_SSL_CLIENT_CERT` credentials. More...

`#include <svn_auth.h>`

## Data Fields

const char * | cert_file
| Absolute path to the certificate file.
svn_boolean_t | may_save
| Indicates if the credentials may be saved (to disk).

## Detailed Description

`SVN_AUTH_CRED_SSL_CLIENT_CERT` credentials.

Definition at line 239 of file svn_auth.h.

## Field Documentation

## cert_file

const char* svn_auth_cred_ssl_client_cert_t::cert_file

Absolute path to the certificate file.

Definition at line 242 of file svn_auth.h.

## may_save

svn_boolean_t svn_auth_cred_ssl_client_cert_t::may_save

Indicates if the credentials may be saved (to disk).

For example, a GUI prompt implementation with a remember certificate checkbox shall set may_save to TRUE if the checkbox is checked.

Definition at line 247 of file svn_auth.h.

The documentation for this struct was generated from the following file:

- svn_auth.h